# cacheDynamicVersionsFor

abstract fun cacheDynamicVersionsFor(value: Int, units: String)

Sets the length of time that dynamic versions will be cached, with units expressed as a String.

A convenience method for cacheDynamicVersionsFor with units expressed as a String. Units are resolved by calling the `valueOf(String)` method of java.util.concurrent.TimeUnit with the upper-cased string value.

#### Since

1.0-milestone-6

#### Parameters

value

The number of time units

units

The units

abstract fun cacheDynamicVersionsFor(value: Int, units: TimeUnit)

Sets the length of time that dynamic versions will be cached.

Gradle keeps a cache of dynamic version => resolved version (ie 2.+ => 2.3). By default, these cached values are kept for 24 hours, after which the cached entry is expired and the dynamic version is resolved again.

Use this method to provide a custom expiry time after which the cached value for any dynamic version will be expired.

#### Since

1.0-milestone-6

#### Parameters

value

The number of time units

units

The units